データ
GET https://olinke.com/api/data/
curl --request GET \
--url 'https://olinke.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:email_collector, phone_collector, contact_collector, appointment_calendar。 |
| datetime_field | オプション 文字列 | 許可された値: datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:datum_id, datetime。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-04-17 10:08:47",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/data?page=1",
"last": "https://olinke.com/api/data?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/data?page=1"
}
}
GET https://olinke.com/api/data/{datum_id}
curl --request GET \
--url 'https://olinke.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-04-17 10:08:47",
}
}
DELETE https://olinke.com/api/data/{datum_id}
curl --request DELETE \
--url 'https://olinke.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \